# Command: repeat

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    repeat - execute a procedure n times

Synopsis:

    n proc repeat

Examples:

      SLI ] 3 { (Hello world) = } repeat
      Hello world
      Hello world
      Hello world
      SLI ]

Description:

      repeat executes the supplied procedure n times.
      The loop can be left prematurely using exit.

      Note: The interation counter is not available
      to the procedure. If this is desired, use for instead.

SeeAlso:

- for
- loop
- exit

Source:

    /opt/conda/conda-bld/nest_1531570948828/work/sli/slicontrol.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative